import request from '/@/utils/request';

export function workReserveApi() {
    return {
        // 分页获取列表
        getReserveListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/appointment/listAll`,
                method: 'post',
                data: data
            });
        },

        // 新增列表
        addRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/appointment/save`,
                method: 'post',
                data: data
            });
        },

        //修改列表
        editRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/appointment/update`,
                method: 'post',
                data: data
            });
        },

        //删除列表
        deleteRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/appointment/delete`,
                method: 'post',
                data: data
            });
        }
    };
}
